Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

i am new to linux world.i have a server with centos 5 (final) with "subversion-1.4.2-2.el5.i386.rpm" as rpm.this is installed in 2008.now i am trying to create a new svn server with centos 5(final).But when i try to install the above "subversion-1.4.2-2.el5.i386.rpm" using

"rpm -ivh subversion-1.4.2-2.el5.i386.rpm" as root it shows an error as follows

"warning: subversion-1.4.2-2.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 82fd17b2 error: Failed dependencies: perl(URI) >= 1.17 is needed by subversion-1.4.2-2.el5.i386"

i dont know what is happening.please give me solution

share|improve this question
    
Try yum localinstall subversion-1.4.2-2.el5.i386.rpm, this should enable yum to automatically get and install the PERL libraries that the subversion package requires. –  MadHatter Apr 19 '13 at 12:06
    
when try to install "yum localinstall subversion-1.4.2-2.el5.i386.rpm" it displays like as follows "Loading "installonlyn" plugin Setting up Local Package Process Cannot open file: subversion-1.17.2-2.el5.i386.rpm. Skipping. Nothing to do –  user170329 Apr 19 '13 at 12:24
    
You are doing this in the directory where the subversion RPM is, yes? –  MadHatter Apr 19 '13 at 12:30
    
as per ur reply i tried to install "yum localinstall subversion-1.4.2-2.el5.i386.rpm" as root.but it displays as follows "Loading "installonlyn" plugin Setting up Local Package Process Cannot open file: subversion-1.17.2-2.el5.i386.rpm. Skipping. Nothing to do" .. –  user170329 Apr 19 '13 at 12:33
    
What's the output of ls -la sub*, run from the same root shell you tried the yum localinstall from? –  MadHatter Apr 19 '13 at 12:34

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.